cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted

ePo Agent Key Updater and MsgBus Cert Updater

Jump to solution

I am rolling out the Agent 5.6 deployment via a Client Task that uses a Tag set and that is working fine. The ENS February updates are in the Evaluation Branch and my Agent General Policy is configured to reference the Evaultion Branch for the ENS updtaes as well as the ePo Agent Key Updater and MsgBus Cert Updater.

Question please:  What is the ePo Agent Key Updater and MsgBus Cert Updater?. Can I simply move the 5.6.0 versions to the “Current Branch” and allow for backward compatibility for 5.5.1 Agents?

It would be much easier to do that since my current Client Task for updating AMCore Content references the 5.1 versions of these files, which are in the Current branch.

Are they required for both ENS and VSE? At present, the 5.5.1 versions exist in the Current Branch and they are included in my existing daily Client Task for pushing out AMCore Updates.

Thank you.

 

2 Solutions

Accepted Solutions
Reliable Contributor vnaidu
Reliable Contributor
Report Inappropriate Content
Message 2 of 4

Re: ePo Agent Key Updater and MsgBus Cert Updater

Jump to solution

@Glenn_Bolton 

I would suggest you to check in the agent key updater and msgbus cert updater into the current branch.

Please consider reading the KB90643 and  KB85552.  In fact, what branch you check them into has everything to do with what your agent policy has set for what branch to pull them from.  Most people have the defaults set, which is why it is best to just check it into current.

I hope this helps.

Venu
McAfee Employee cdinet
McAfee Employee
Report Inappropriate Content
Message 3 of 4

Re: ePo Agent Key Updater and MsgBus Cert Updater

Jump to solution

To add to that, ens and vse do not use either of those, they are part of the agent and not an actual install, but runs when it needs to update a key or cert. As for what they are, here is a little explanation.

msgbus cert updater package:  Message bus Certificates are needed for mutual authentication between McAfee or partner point products and McAfee Agent. This package can be used to update these certificates.

agent key updater package:  Agent Key Updater package is required to distribute new pair of master keys on update from the ePO managed repositories.

They are backward compatible.

Was my reply helpful?
If this information was helpful in any way or answered your question, will you please select Accept as Solution in my reply and together we can help other members?

3 Replies
Reliable Contributor vnaidu
Reliable Contributor
Report Inappropriate Content
Message 2 of 4

Re: ePo Agent Key Updater and MsgBus Cert Updater

Jump to solution

@Glenn_Bolton 

I would suggest you to check in the agent key updater and msgbus cert updater into the current branch.

Please consider reading the KB90643 and  KB85552.  In fact, what branch you check them into has everything to do with what your agent policy has set for what branch to pull them from.  Most people have the defaults set, which is why it is best to just check it into current.

I hope this helps.

Venu
McAfee Employee cdinet
McAfee Employee
Report Inappropriate Content
Message 3 of 4

Re: ePo Agent Key Updater and MsgBus Cert Updater

Jump to solution

To add to that, ens and vse do not use either of those, they are part of the agent and not an actual install, but runs when it needs to update a key or cert. As for what they are, here is a little explanation.

msgbus cert updater package:  Message bus Certificates are needed for mutual authentication between McAfee or partner point products and McAfee Agent. This package can be used to update these certificates.

agent key updater package:  Agent Key Updater package is required to distribute new pair of master keys on update from the ePO managed repositories.

They are backward compatible.

Was my reply helpful?
If this information was helpful in any way or answered your question, will you please select Accept as Solution in my reply and together we can help other members?

Re: ePo Agent Key Updater and MsgBus Cert Updater

Jump to solution
Thank you for your kind response.
McAfee ePO Support Center Plug-in
Check out the new McAfee ePO Support Center. Simply access the ePO Software Manager and follow the instructions in the Product Guide for the most commonly used utilities, top known issues announcements, search the knowledgebase for product documentation, and server status and statistics – all from within ePO.